<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="shortcut icon" href="#">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=DotGothic16&display=swap" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Jura&display=swap" rel="stylesheet">

    <link rel="stylesheet" href="./assets/css/style.css">

    <title>AllDarSo</title>
    <script src="./node_modules/matter-js/build/matter.js"></script>
    <script src="./node_modules/axios/dist/axios.js"></script>
    <script>const { Engine, Render, World, Bodies, Body, Events, Runner } = Matter;</script>
    <script src="./assets/js/main.js" type='module'></script>
</head>

<body>

    <h1> Jeu AllDarSo </h1>
    <div class="signin">
        <div class="signin-info">
            <h2 class="form-title">Choisis ton avatar:</h2>
            <div class="avatar-selector">
                <input id="avatar1" type="radio" name="avatar" value="avatar1" />
                <label class="avselect avatar1" for="avatar1"></label>
                <input id="avatar2" type="radio" name="avatar" value="avatar2" />
                <label class="avselect avatar2" for="avatar2"></label>
                <input id="avatar3" type="radio" name="avatar" value="avatar3" />
                <label class="avselect avatar3" for="avatar3"></label>
                <input id="avatar4" type="radio" name="avatar" value="avatar4" />
                <label class="avselect avatar4" for="avatar4"></label>
            </div>
            <br>
            <div class="form-group">
                <div class="form-group">
                    <input type="text" name="name" id="myname" placeholder="Mets ton nom ici" maxlength="20" />
                </div>
                <div id="nomobligatoire"> </div>
                <div class="regles">
                    <h2> Infos utiles: </h2>
                    <p> Déplacement de la barre: avec la souris ou les flèches;</p>
                    <p>Temps de jeu : 1 minute ; </p>
                    <p> ATTENTION : il y a des briques bonus ET malus;</p>
                    <p>Tu peux shooter 3 fois avec "espace" ou click souris ! </p>
                    <p> "Pause" et "Relance" avec "échap" </p>
                    <h3> Amuses toi bien! </h3>
                </div>
                <br>
                <input type="submit" name="submit" id="submit" class="button" value="C'EST PARTI" />
                <br>
            </div>

        </div>


    </div>
    <div class="affiche">
        <div class="pagedeux">

            <div class="jeu">
                <div id="myCanvas"></div>

                <div class="btns">
                    <button class="btn" id="pause">J'ai besoin d'une pause !! </button>
                    <div class="carrefire" id="nbfire"> Tirs: <br> <br>
                        <img class="imgfire" src='assets/image/bullet.png' alt="" width="50px" height="50px">
                        <img class="imgfire" src='assets/image/bullet.png' alt="" width="50px" height="50px">
                        <img class="imgfire" src='assets/image/bullet.png' alt="" width="50px" height="50px">
                    </div>
                    <button class="btn" id="relance">C'est bon, je veux rejouer! </button>
                </div>
            </div>
            <div class="aside">
                <div class="carre1" id="chosenavatar"></div>

                <div class="carre2">Allez <br><span id="nev"></span></div>

                <div class="carre3"> Ton score est <br> <span id="score"></span></div>
                <div class="carre4"> Le jeu fini dans <br> <span id="time">60</span> !</div>
                <div class="carre5"> Bonus: <br> <span id="bonus"></span></div>

            </div>
        </div>
    </div>
    <div class="dernier">
        <div class="over">
            <div class="perdre">
                <h2> GAME OVER <span id="nevemperte"> </span> ! </h2>
            </div>
            <div class="gagne">
                <h2> LE JEU EST FINI </h2>
                <h2> Félicitations <span id="nevem"> </span> !</h2>
            </div>
            <div class="carre7">
                <h2> ton score final est : <span id="pont"></span></h2>
                <h2> ton classement est : <span id="classement"></span></h2>
            </div>


        </div>
        <div class="rejouer">

            <input type="submit" name="submit" id="rejouer" class="button" value="C'ETAIT GENIAL JE VEUX REJOUER" />
        </div>
        <div class="tableauScore">
            <h2> Les Top 10 scores: </h2>

            <table id="highscore">
                <thead>
                    <tr>
                        <th scope="col">PLACE</th>
                        <th scope="col">NOM</th>
                        <th scope="col">SCORE</th>
                    </tr>
                </thead>
            </table>
        </div>
    </div>



</body>

</html>